/*
	tinygui.c
	minimln GUI aplikace
	
	 2003 Manison Softworks
	www.manison.cz
	info@manison.cz

	historie:
		12/06/2003
*/

#include <windows.h>
#include "resource.h"

INT_PTR CALLBACK DialogProc(HWND, UINT, WPARAM, LPARAM);
int WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR,	int);

#ifdef NO_CRT
#pragma comment(linker, "/NODEFAULTLIB")
void __cdecl WinMainCRTStartup(void)
{
	ExitProcess(WinMain(GetModuleHandle(NULL), 0, GetCommandLine(), SW_SHOWNORMAL));
}
#endif

INT_PTR CALLBACK DialogProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	switch (uMsg) {
	case WM_INITDIALOG:
		return TRUE;
	case WM_COMMAND:
		if (LOWORD(wParam) == IDCANCEL || LOWORD(wParam) == IDOK) {
			EndDialog(hWnd, 0);
			return TRUE;
		}
	default:
		return FALSE;
	}
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine,
	int nCmdShow)
{
		return (int)DialogBox(
			GetModuleHandle(NULL),
			MAKEINTRESOURCE(IDD_TINY),
			NULL,
			DialogProc
		);
}